hwi_oauth:
    firewall_names: [main]

    resource_owners:
        facebook:
            type:                facebook
            client_id:           '%env(OAUTH_FACEBOOK_CLIENT_ID)%'
            client_secret:       '%env(OAUTH_FACEBOOK_CLIENT_SECRET)%'
            scope:               "email"
            options:
                csrf: true

        google:
            type:                google
            client_id:           '%env(OAUTH_GOOGLE_CLIENT_ID)%'
            client_secret:       '%env(OAUTH_GOOGLE_CLIENT_SECRET)%'
            scope:               "email profile"
            options:
                csrf: true

        instagram:
            type:                instagram
            client_id:           '%env(OAUTH_INSTAGRAM_CLIENT_ID)%'
            client_secret:       '%env(OAUTH_INSTAGRAM_CLIENT_SECRET)%'
            options:
                csrf: true

        paypal:
            type:                paypal
            client_id:           '%env(OAUTH_PAYPAL_CLIENT_ID)%'
            client_secret:       '%env(OAUTH_PAYPAL_CLIENT_SECRET)%'
            options:
                csrf: true

        spotify:
            type:                spotify
            client_id:           '%env(OAUTH_SPOTIFY_CLIENT_ID)%'
            client_secret:       '%env(OAUTH_SPOTIFY_CLIENT_SECRET)%'
            options:
                csrf: true

        twitch:
            type:                twitch
            client_id:           '%env(OAUTH_TWITCH_CLIENT_ID)%'
            client_secret:       '%env(OAUTH_TWITCH_CLIENT_SECRET)%'
            options:
                csrf: true
        twitter:
            type:                twitter
            client_id:           '%env(OAUTH_TWITTER_CLIENT_ID)%'
            client_secret:       '%env(OAUTH_TWITTER_CLIENT_SECRET)%'
            options:
                csrf: true
